VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Classes | Public Types | Public Member Functions | List of all members
IControlViewExtension Struct Referenceabstract
Inheritance diagram for IControlViewExtension:

## Classes
struct | EditCallbacks

## Public Types
using | ValueBeginEditCallback = std::function< void()>
using | ValueEndEditCallback = std::function< void()>
using | ValuePerformEditCallback = std::function< void(double newValue)>

## Public Member Functions
virtual bool | setValue (double value)=0
virtual bool | setEditCallbacks (const EditCallbacks &callbacks)=0

## Member Typedef Documentation

using ValueBeginEditCallback = std::function<void ()>

using ValueEndEditCallback = std::function<void ()>

using ValuePerformEditCallback = std::function<void (double newValue)>

## Member Function Documentation

virtual bool setEditCallbacks | ( | const EditCallbacks & | callbacks | ) |
| pure virtual

Implemented in ControlViewAdapter.

virtual bool setValue | ( | double | value | ) |
| pure virtual

Implemented in ControlViewAdapter.

The documentation for this struct was generated from the following file:

- iexternalview.h